C (c) CROWN COPYRIGHT 1995, METEOROLOGICAL OFFICE, All Rights Reserved.            RAD_ALL.14106 
C                                                                                  RAD_ALL.14107 
C Use, duplication or disclosure of this code is subject to the                    RAD_ALL.14108 
C restrictions as set forth in the contract.                                       RAD_ALL.14109 
C                                                                                  RAD_ALL.14110 
C                Meteorological Office                                             RAD_ALL.14111 
C                London Road                                                       RAD_ALL.14112 
C                BRACKNELL                                                         RAD_ALL.14113 
C                Berkshire UK                                                      RAD_ALL.14114 
C                RG12 2SZ                                                          RAD_ALL.14115 
C                                                                                  RAD_ALL.14116 
C If no contract has been raised with this copy of the code, the use,              RAD_ALL.14117 
C duplication or disclosure of it is strictly prohibited.  Permission              RAD_ALL.14118 
C to do so must first be obtained in writing from the Head of Numerical            RAD_ALL.14119 
C Modelling at the above address.                                                  RAD_ALL.14120 
C ******************************COPYRIGHT******************************            RAD_ALL.14121 
C                                                                                  RAD_ALL.14122 
!+ Subroutine to rescale the asymmetry.                                            RAD_ALL.14123 
!                                                                                  RAD_ALL.14124 
! Method:                                                                          RAD_ALL.14125 
!       The standard rescaling of the asymmetry is used.                           RAD_ALL.14126 
!                                                                                  RAD_ALL.14127 
! Current Owner of Code: J. M. Edwards                                             RAD_ALL.14128 
!                                                                                  RAD_ALL.14129 
! History:                                                                         RAD_ALL.14130 
!       Version         Date                    Comment                            RAD_ALL.14131 
!       4.0             27-07-95                Original Code                      RAD_ALL.14132 
!                                               (J. M. Edwards)                    RAD_ALL.14133 
!                                                                                  RAD_ALL.14134 
! Description of Code:                                                             RAD_ALL.14135 
!   FORTRAN 77  with extensions listed in documentation.                           RAD_ALL.14136 
!                                                                                  RAD_ALL.14137 
!- ---------------------------------------------------------------------           RAD_ALL.14138 
      SUBROUTINE RESCALE_ASYMMETRY(N_PROFILE                                       RAD_ALL.14139 
     &   , I_LAYER_FIRST, I_LAYER_LAST                                             RAD_ALL.14140 
     &   , ASYMMETRY, FORWARD_SCATTER                                              RAD_ALL.14141 
     &   , NPD_PROFILE, NPD_LAYER                                                  RAD_ALL.14142 
     &   )                                                                         RAD_ALL.14143 
!                                                                                  RAD_ALL.14144 
!                                                                                  RAD_ALL.14145 
      IMPLICIT NONE                                                                RAD_ALL.14146 
!                                                                                  RAD_ALL.14147 
!                                                                                  RAD_ALL.14148 
!     SIZES OF DUMMY ARRAYS.                                                       RAD_ALL.14149 
      INTEGER   !, INTENT(IN)                                                      RAD_ALL.14150 
     &     NPD_PROFILE                                                             RAD_ALL.14151 
!             MAXIMUM NUMBER OF PROFILES                                           RAD_ALL.14152 
     &   , NPD_LAYER                                                               RAD_ALL.14153 
!             MAXIMUM NUMBER OF LAYERS                                             RAD_ALL.14154 
!                                                                                  RAD_ALL.14155 
!     DUMMY ARGUMENTS.                                                             RAD_ALL.14156 
      INTEGER   !, INTENT(IN)                                                      RAD_ALL.14157 
     &     N_PROFILE                                                               RAD_ALL.14158 
!             NUMBER OF PROFILES                                                   RAD_ALL.14159 
     &   , I_LAYER_FIRST                                                           RAD_ALL.14160 
!             FIRST LAYER TO RESCALE                                               RAD_ALL.14161 
     &   , I_LAYER_LAST                                                            RAD_ALL.14162 
!             LAST LAYER TO RESCALE                                                RAD_ALL.14163 
      REAL      !, INTENT(IN)                                                      RAD_ALL.14164 
     &     FORWARD_SCATTER(NPD_PROFILE, NPD_LAYER)                                 RAD_ALL.14165 
!             FORWARD SCATTERING                                                   RAD_ALL.14166 
      REAL      !, INTENT(INOUT)                                                   RAD_ALL.14167 
     &     ASYMMETRY(NPD_PROFILE, NPD_LAYER)                                       RAD_ALL.14168 
!             ASYMMETRY                                                            RAD_ALL.14169 
!                                                                                  RAD_ALL.14170 
!     LOCAL VARIABLES.                                                             RAD_ALL.14171 
      INTEGER                                                                      RAD_ALL.14172 
     &     I                                                                       RAD_ALL.14173 
!             LOOP VARIABLE                                                        RAD_ALL.14174 
     &   , L                                                                       RAD_ALL.14175 
!             LOOP VARIABLE                                                        RAD_ALL.14176 
!                                                                                  RAD_ALL.14177 
!                                                                                  RAD_ALL.14178 
!                                                                                  RAD_ALL.14179 
      DO I=I_LAYER_FIRST, I_LAYER_LAST                                             RAD_ALL.14180 
         DO L=1, N_PROFILE                                                         RAD_ALL.14181 
            ASYMMETRY(L, I)=(ASYMMETRY(L, I)-FORWARD_SCATTER(L, I))                RAD_ALL.14182 
     &         /(1.0E+00-FORWARD_SCATTER(L, I))                                    RAD_ALL.14183 
         ENDDO                                                                     RAD_ALL.14184 
      ENDDO                                                                        RAD_ALL.14185 
!                                                                                  RAD_ALL.14186 
!                                                                                  RAD_ALL.14187 
      RETURN                                                                       RAD_ALL.14188 
      END 
